
ctools - Bug #552

OpenMP test for GammaLib does not work

10/11/2012 09:51 PM - Knödlseder Jürgen

Status: Closed Start date: 10/11/2012

Priority: Urgent Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The configure script contains a test that should check of GammaLib has been compiled with OpenMP. Obviously, this test does not

work. This should be corrected, so that ctools is forced to compile using OpenMP if GammaLib has been compiled with OpenMP.

History

#1 - 12/20/2012 01:47 PM - Deil Christoph

- Priority changed from Normal to Urgent

I have compiles gammalib with clang on Mac without OpenMP.

Now when I try to configure ctools ea908ec2c77dbfbeaa4b7c692d38e6532a917d06 I get this error:

configure: WARNING: Python wrapper missing. Requires swig for wrapper generation.

configure: WARNING: GammaLib not found in any standard path

configure: GammaLib found in /usr/local/gamma/lib and /usr/local/gamma/include/gammalib.

checking whether GammaLib has been compiled with OpenMP... yes

checking for clang++ option to support OpenMP... unsupported

no

configure: error: The GammaLib library has been built with openMP support but OpenMP is not available on this system. Please install OpenMP or

 re-build GammaLib without OpenMP support.

So ctools thinks that gammalib was compiled with OpenMP but it hasn't.

This prevents me from building ctools, so I'm bumping the priority on this one to urgent.

I didn't have this problem two weeks ago, so maybe this is not the same problem you were having, Jürgen?

#2 - 12/20/2012 04:47 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

I'll work on the automatic OpenMP detection ...

#3 - 12/20/2012 06:17 PM - Knödlseder Jürgen

- Status changed from New to Feedback
- % Done changed from 0 to 100

The config.log file gives the following error:

configure:16267: checking whether GammaLib has been compiled with OpenMP

configure:16280: clang++ -o conftest -g -O2  -I/opt/local/Library/Frameworks/Python.framework/Versions/2.7/include/python2.7 -I/Users/ga$

In file included from conftest.cpp:26:

/Users/gammalib/install/include/gammalib/GObservations.hpp:33:10: fatal error: 'GBase.hpp' file not found

#include "GBase.hpp"

         ^

1 error generated.

configure:16280: $? = 1

configure: failed program was:

| /* confdefs.h */

| #define PACKAGE_NAME "ctools"

| #define PACKAGE_TARNAME "ctools"

| #define PACKAGE_VERSION "0.6.0"

| #define PACKAGE_STRING "ctools 0.6.0"

| #define PACKAGE_BUGREPORT "jurgen.knodlseder@irap.omp.eu"

| #define PACKAGE_URL ""

| #define PACKAGE "ctools"

| #define VERSION "0.6.0"

| #define PACKAGE_PREFIX "/Users/gammalib/install"

| #define STDC_HEADERS 1

| #define HAVE_SYS_TYPES_H 1

| #define HAVE_SYS_STAT_H 1

| #define HAVE_STDLIB_H 1

| #define HAVE_STRING_H 1

| #define HAVE_MEMORY_H 1

| #define HAVE_STRINGS_H 1

| #define HAVE_INTTYPES_H 1

| #define HAVE_STDINT_H 1

| #define HAVE_UNISTD_H 1

| #define HAVE_DLFCN_H 1

| #define LT_OBJDIR ".libs/"

| #define HAVE__OPT_LOCAL_LIBRARY_FRAMEWORKS_PYTHON_FRAMEWORK_VERSIONS_2_7_INCLUDE_PYTHON2_7_PYTHON_H 1

| #define HAVE_LIBGAMMA 1

| /* end confdefs.h.  */

| #include <GObservations.hpp>

| int

| main ()

| {

|

|   ;

|   return 0;

| }

configure:16284: result: yes

The problem came from the fact that GammaLib did not distribute the GBase.hpp file! This was corrected and now the configure script correctly

detects whether GammaLib was compiled with OpenMP or not.

Christoph, can you check that everything is now okay from your side?
#4 - 04/17/2013 04:19 PM - Schulz Anneli

I had the same problem when trying to configure the released version(gammalib 00-07-00 and ctools 00-06-00), but it is fine for the devel branch in

the repository.

#5 - 04/17/2013 07:35 PM - Knödlseder Jürgen

Just for the records: the problem was fixed in commit:1f9623b4041335754712e99fe4ae688d526045b5 on 12/20/2012 06:12 pm, GammaLib 0.7.0

was release on 01/12/2013, so I guess the version you had was a prerelease version.

I recognize that I should add this prerelease information to the configuration file so that people are aware that they may eventually work on a unstable

version.

#6 - 02/07/2014 08:16 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed
